### Enumeration

# GtkInscriptionOverflow

since: 4.8

#### Declaration

    enum Gtk.InscriptionOverflow

#### Description [src]

The different methods to handle text in `GtkInscription` when it doesn’t fit the available space.

Available since: 4.8

#### Members

`GTK_INSCRIPTION_OVERFLOW_CLIP`

  Clip the remaining text.

  - Value: `0`
  - Nickname: `clip`
  - Available since: 4.8
`GTK_INSCRIPTION_OVERFLOW_ELLIPSIZE_START`

  Omit characters at the start of the text.

  - Value: `1`
  - Nickname: `ellipsize-start`
  - Available since: 4.8
`GTK_INSCRIPTION_OVERFLOW_ELLIPSIZE_MIDDLE`

  Omit characters at the middle of the text.

  - Value: `2`
  - Nickname: `ellipsize-middle`
  - Available since: 4.8
`GTK_INSCRIPTION_OVERFLOW_ELLIPSIZE_END`

  Omit characters at the end of the text.

  - Value: `3`
  - Nickname: `ellipsize-end`
  - Available since: 4.8